### Name: db.add
### Title: Add vectors to a Data Base
### Aliases: db.add
### Keywords: classes

### ** Examples

data(Z_data.db) # Load the Documentation Points Db
Z_data.db # Print a short contents of the Db

# Add a new variable called "New Variable" (set to 0). No locator defined
Z_data.db <- db.add(Z_data.db, New_Variable = 0)
# Note that the quotes (for the variable on the left-side of the '=' sign) 
# are compulsory as the name is the concatenation of two words
# Otherwise, it is optional
# The quotes should not be used on the right of the = sign.
print(Z_data.db) # Print the contents
# The locators are "NA","x1","x2","z1","z2","NA"

# Add one new variable (set to 1) and set its locator explicitely to "z1" 
Z_data.db <- db.add(Z_data.db,z1=1)
print(Z_data.db) 	# Print the contents
# The locators are "NA","x1","x2","NA","z2","NA","z1"

# Add a variable as the result of a calculation on already existing fields
Z_data.db <- db.add(Z_data.db,"Calculated Variable"=z1+2)
# Check the newly created variable is set uniformely to 3
print(Z_data.db,flag.stats=TRUE,name="Calculated Variable")

# Clean up
rm(Z_data.db)



