### Name: draw.color
### Title: Color representation
### Aliases: draw.color
### Keywords: hplot

### ** Examples

# We define a data base and perform a Kriging (exact interpolator) on a regular grid.
# Then we represent the interpolated value together with the conditioning dat, using the same color

set.seed(1223421)
data  = db.create(x1=floor(100.*runif(100)),
                  x2=floor(100.*runif(100)),z1=runif(100))
grid  = db.create(nx=c(100,100))
model = model.create(2,range=30)
neigh = neigh.create(type=0,ndim=2)
grid  = kriging(data,grid,model,neigh)
rg    = range(grid[,"*estim"],na.rm=TRUE)

plot(grid,zlim=rg)
plot(data,name.color="z1",add=TRUE,cex=1.5,fg="black",zmin=rg[1],zmax=rg[2])



